Name:           monotone-viz
Version:        1.0.2
Release:        16%{?dist}
Summary:        GNOME application that visualizes Monotone ancestry graphs
Group:          Development/Tools
License:        GPLv2+
URL:            http://oandrieu.nerim.net/monotone-viz/
Source0:        %{url}/%{name}-%{version}-nolablgtk.tar.gz
Source1:        monotone-viz.desktop
Patch0:         monotone-viz-1.0.2-new-stdio.patch
Patch1:         monotone-viz-1.0.2-dot.patch
Patch2:         monotone-viz-1.0.2-typefix.patch
BuildRequires:  ocaml
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-lablgtk-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       monotone >= 0.46
Requires:       graphviz


%description
This is a small GNOME application to visualize Monotone ancestry graphs.


%prep
%setup0 -q
%patch0 -p0 -b .new-stdio
%patch1 -p0 -b .dot
# patch from Stéphane Glondu <glondu@debian.org>, see
# https://bugs.debian.org/790062
%patch2 -p1 -b .typefix


%build
%configure --without-local-lablgtk
make

convert icon.ml %{name}.png

cp -av %{SOURCE1} %{name}.desktop


%install
make install DESTDIR=%{buildroot}

install -m 644 -D -p %{name}.png \
        %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
                     --vendor="" \
                     %{name}.desktop


%files
%doc README NEWS
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif # licensedir
%{_bindir}/monotone-viz
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul  1 2015 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.2-15
- Add patch from Stéphane Glondu <glondu@debian.org> to fix
  compilation with OCaml 4.02.2.
- Disable parallel make.
- Mark license.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 12 2014 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.2-12
- Remove ExclusiveArch tag.
- Modernize spec file.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Dan Horák <dan[at]danny.cz> - 1.0.2-9
- switch to ExclusiveArch: %%{ocaml_arches}

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 11 2011 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.2-5
- Rebuild for new libpng.

* Thu May 12 2011 Karsten Hopp <karsten@redhat.com> 1.0.2-4.1
- enable build on ppc64

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul  6 2010 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.2-3
- Update patch to better support monotone-0.46 and later.
- Add patch to workaround broken dot "-y" option.

* Fri Jan 29 2010 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.2-2
- Add patch from Stéphane Gimenez for monotone >= 0.46.

* Thu Jan 21 2010 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.2-1
- Update to 1.0.2.
- Patch to avoid name clash with ocaml-lablgtk is no longer necessary.
- Minor specfile cleanups.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Thu Feb 26 2009 Thomas Moschny <thomas.moschny@gmx.de> - 1.0.1-4
- Add patch to avoid name clash with ocaml-lablgtk-2.12.
- Untabify spec file.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-2
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 Roland McGrath <roland@redhat.com> - 1.0.1-1
- New package.
  - Thanks to Thomas Moschny <thomas.moschny@gmx.de> for .desktop file.
